#include "Users.h"

Users::Users(/* args */)
{
    this->_userdb.insert(user_account{.uid = 012345, .first_name = "John", .last_name = "Doe", .rfid_uid = "8C 75 6C 17", .user_pin = "2424"});
    this->_userdb.insert(user_account{.uid = 010202, .first_name = "Max", .last_name = "Mustermann and Sons", .rfid_uid = "D3 4E 03 0B", .user_pin = "1212"});
}

Users::~Users()
{
}
bool Users::checkPin(String pin_code, std::vector<Users::User> *logon_users)
{
    std::copy_if(this->_userdb.begin(), this->_userdb.end(), inserter(*logon_users,logon_users->end()), [=](user_account user)
                 { return pin_code == user.user_pin; });
    return (logon_users->size()>0);
}

bool Users::checkRfid(String rfid_code, std::vector<Users::User> *logon_users)
{
    std::copy_if(this->_userdb.begin(), this->_userdb.end(), inserter(*logon_users,logon_users->end()), [=](user_account user)
                 { return rfid_code == user.rfid_uid; });
    return (logon_users->size()>0);
}  